package com.cr.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/3/7 15:00
 * 描述：ViewModel的实现类
 */
open class CrViewModel: ViewModel() {
    /**
     * 更新数据
     * @param info MutableLiveData<T>
     */
    fun <T> refresh(info: MutableLiveData<T>){
        info.postValue(info.value)
    }

    /**
     * 由继承者覆盖编写具体的逻辑实现
     * 初始化监听
     */
    open fun initListener(){

    }

    /**
     * 由继承者覆盖编写具体的逻辑实现
     * 重置
     */
    open fun reset(){

    }
}